@echo off

call "version.bat"

set VER_URL="http://bit.ly/lWGhYA"
set VER_PATH=".\latest_version"

set LOG_URL="http://bit.ly/kZmCh7"
set LOG_PATH=".\ChangeLog"

REM 7z
REM Licence: GPL
set 7Z_URL="http://sourceforge.jp/projects/sfnet_sevenzip/downloads/7-Zip/9.20/7z920.exe/"
set 7Z_SIZE=384846

REM avs2avi
REM Licence: GPL 2.0
set A2A_URL="http://www.avisynth.info/?plugin=attach&refer=%A5%A2%A1%BC%A5%AB%A5%A4%A5%D6&openfile=avs2avi-140a.zip"
set A2A_PATH="..\Archives\avs2avi-140a.zip"
set A2A_SIZE=155054

REM AviSynth
REM Licence: GPL 2 or later
set AVS_URL="http://voxel.dl.sourceforge.net/project/avisynth2/AviSynth%%202.5/AviSynth%%202.5.8/Avisynth_258.exe"
set AVS_PATH="..\Archives\Avisynth_258.exe"
set AVS_SIZE=4182178

REM curl
REM Licence: MIT/X derivate
set CURL_URL="http://www.gknw.net/mirror/curl/win32/curl-7.21.7-ssl-sspi-zlib-static-bin-w32.zip"
set CURL_SIZE=1387925

REM DevIL
REM Licence: LGPL
set DIL_URL="http://voxel.dl.sourceforge.net/project/openil/DevIL%%20Win32/1.7.8/DevIL-EndUser-x86-1.7.8.zip"
set DIL_PATH="..\Archives\DevIL-EndUser-x86-1.7.8.zip"
set DIL_SIZE=676737

REM DirectShowSource
REM Licence: GPL 2
set DSS_URL="http://voxel.dl.sourceforge.net/project/avisynth2/AviSynth%%202.5/AviSynth%%202.5.8/DirectShowSource_2588.zip"
set DSS_PATH="..\Archives\DirectShowSource_2588.zip"
set DSS_SIZE=40536

REM FFmpeg
REM Licence: LGPL 2.1+
set FFM_URL="http://ffmpeg.zeranoe.com/builds/win32/static/ffmpeg-0.8-win32-static.7z"
set FFM_PATH="..\Archives\ffmpeg-0.8-win32-static.7z"
set FFM_SIZE=5883193

REM ffmpegsource
REM Licence: GPL 3
set FSS_URL="http://ffmpegsource.googlecode.com/files/ffmpegsource-2.14.7z"
set FSS_PATH="..\Archives\ffmpegsource-2.14.7z"
set FSS_SIZE=1684843

REM JWplayer
REM Licence: CC BY-NC-SA 2.0
set JWP_URL="http://www.longtailvideo.com/jw/upload/mediaplayer.zip"
set JWP_PATH="..\Archives\mediaplayer.zip"
set JWP_SIZE=613247

REM libiconv2.dll
REM Licence: GPL
set LIC_URL="http://downloads.sourceforge.net/project/gnuwin32/libiconv/1.9.2-1/libiconv-1.9.2-1-bin.zip"
set LIC_PATH="..\Archives\libiconv-1.9.2-1-bin.zip"
set LIC_SIZE=828380

REM libintl3.dll
REM Licence: GPL
set LIN_URL="http://downloads.sourceforge.net/project/gnuwin32/libintl/0.14.4/libintl-0.14.4-bin.zip"
set LIN_PATH="..\Archives\libintl-0.14.4-bin.zip"
set LIN_SIZE=394081

REM MediaInfo
REM Licence: LGPL 3 or later
set MIF_URL="http://voxel.dl.sourceforge.net/project/mediainfo/binary/mediainfo/0.7.37/MediaInfo_CLI_0.7.37_Windows_i386.zip"
set MIF_PATH="..\Archives\MediaInfo_CLI_0.7.37_Windows_i386.zip"
set MIF_SIZE=1215856

REM MP4Box
REM Licence: LGPL
set MP4B_URL="http://download1147.mediafire.com/lq4tv5vnw6og/su1l8mvo69rl9lr/MP4Box_20101004.zip"
set MP4B_SIZE=1169009

REM neroAacEnc.dll
REM Licence: Nero
set NERO_URL="http://ftp6.nero.com/tools/NeroAACCodec-1.5.1.zip"
set NERO_PATH="..\Archives\NeroAACCodec-1.5.1.zip"
set NERO_SIZE=2050564

REM pcre.dll
REM Licence: BSD
set PCRE_URL="http://downloads.sourceforge.net/project/gnuwin32/pcre/7.0/pcre-7.0-bin.zip"
set PCRE_PATH="..\Archives\pcre-7.0-bin.zip"
set PCRE_SIZE=302480

REM qtaacenc
REM Licence: MIT
set QAE_URL="http://tmkk.pv.land.to/qtaacenc/qtaacenc-20101119.zip"
set QAE_PATH="..\Archives\qtaacenc-20101119.zip"
set QAE_SIZE=48061

REM regex.dll
REM Licence: GPL
set REG_URL="http://downloads.sourceforge.net/project/gnuwin32/regex/2.7/regex-2.7-bin.zip"
set REG_PATH="..\Archives\regex-2.7-bin.zip"
set REG_SIZE=73283

REM sed
REM Licence: GPL
set SED_URL="http://downloads.sourceforge.net/project/gnuwin32/sed/4.2.1/sed-4.2.1-bin.zip"
set SED_PATH="..\Archives\sed-4.2.1-bin.zip"
set SED_SIZE=317930

REM sort.exe
REM Licence: GPL
set SORT_URL="http://downloads.sourceforge.net/project/gnuwin32/coreutils/5.3.0/coreutils-5.3.0-bin.zip"
set SORT_PATH="..\Archives\coreutils-5.3.0-bin.zip"
set SORT_SIZE=5176996

REM wavi
REM Licence: GPL 2
rem set WVI_URL="http://downloads.sourceforge.net/project/wavi-avi2wav/wavi/1.06/wavi106.zip"
set WVI_URL="http://forum.doom9.org/attachment.php?attachmentid=12312&d=1308245080"
set WVI_PATH="..\Archives\wavi106m.zip"
set WVI_SIZE=26320

REM yadif
REM Licence: GPL
set YDF_URL="http://avisynth.org.ru/yadif/yadif17.zip"
set YDF_PATH="..\Archives\yadif17.zip"
set YDF_SIZE=52095

REM x264
REM Licence: GPL
set X264_URL="http://mirror04.x264.nl/x264/32bit/8bit_depth/revision%X264_VERSION%/x264.exe"
set X264_PATH="..\Archives\x264.exe"
set X264_SIZE=6749184
